<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAgentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: agents
         */
        Schema::create('agents', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('reporting_to')->nullable();
            $table->string('name', 100)->nullable();
            $table->integer('parent_id')->nullable();
            $table->string('email', 100)->nullable();
            $table->string('password', 100)->nullable();
            $table->string('title', 100)->nullable();
            $table->integer('coupa_advantage')->nullable();
            $table->string('api_token', 60)->nullable();
            $table->string('remember_token', 255)->nullable();
            $table->string('login_string', 100)->nullable();
            $table->enum('sex', ['','Male','Female'])->nullable();
            $table->date('dob')->nullable();
            $table->string('designation', 50)->nullable();
            $table->string('mobile', 100)->nullable();
            $table->string('phone', 100)->nullable();
            $table->string('address', 255)->nullable();
            $table->string('street', 100)->nullable();
            $table->string('city', 100)->nullable();
            $table->string('district', 100)->nullable();
            $table->string('state', 100)->nullable();
            $table->integer('country')->nullable();
            $table->string('zip', 30)->nullable();
            $table->string('photo', 500)->nullable();
            $table->string('web', 100)->nullable();
            $table->longText('permissions')->nullable();
            $table->enum('status', ['New','Active','Suspended','Locked'])->nullable();
            $table->dateTime('email_verified_at')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('supplier')->nullable();
            $table->integer('buyer')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->enum('user_mode', ['','admin','buyer','supplier','agent'])->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->enum('contract', ['on','off'])->nullable();
            $table->integer('team_id')->nullable();
            $table->text('verify_email')->nullable();
            $table->integer('verify_account')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('agents');
    }
}
