Lavalite package that provides agent management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `b2buy/agent`.

    "b2buy/agent": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    B2buy\Agent\Providers\AgentServiceProvider::class,

And also add it to alias

    'Agent'  => B2buy\Agent\Facades\Agent::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=B2buy\\AgentTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="B2buy\Agent\Providers\AgentServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="B2buy\Agent\Providers\AgentServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="B2buy\Agent\Providers\AgentServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/agent/{modulename}

**User**

    http://path-to-route-folder/user/agent/{modulename}

**Public**

    http://path-to-route-folder/agents


### API endpoints

**List**

    http://path-to-route-folder/api/user/agent/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/agent/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/agent/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/agent/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/agent/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/agent/{modulename}/{slug}
    METHOD: GET