<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for agent in agent package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  agent module in agent package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Agent',
    'names'         => 'Agents',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Agents',
        'sub'   => 'Agents',
        'list'  => 'List of agents',
        'edit'  => 'Edit agent',
        'create'    => 'Create new agent'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'sex'                 => ['','Male','Female'],
            'status'              => ['New','Active','Suspended','Locked'],
            'user_mode'           => ['','admin','buyer','supplier','agent'],
            'contract'            => ['on','off'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company id',
        'reporting_to'               => 'Please enter reporting to',
        'name'                       => 'Please enter name',
        'parent_id'                  => 'Please enter parent id',
        'email'                      => 'Please enter email',
        'password'                   => 'Please enter password',
        'title'                      => 'Please enter title',
        'coupa_advantage'            => 'Please enter coupa advantage',
        'api_token'                  => 'Please enter api token',
        'remember_token'             => 'Please enter remember token',
        'login_string'               => 'Please enter login string',
        'sex'                        => 'Please select sex',
        'dob'                        => 'Please select dob',
        'designation'                => 'Please enter designation',
        'mobile'                     => 'Please enter mobile',
        'phone'                      => 'Please enter phone',
        'address'                    => 'Please enter address',
        'street'                     => 'Please enter street',
        'city'                       => 'Please enter city',
        'district'                   => 'Please enter district',
        'state'                      => 'Please enter state',
        'country'                    => 'Please enter country',
        'zip'                        => 'Please enter zip',
        'photo'                      => 'Please enter photo',
        'web'                        => 'Please enter web',
        'permissions'                => 'Please enter permissions',
        'status'                     => 'Please select status',
        'email_verified_at'          => 'Please select email verified at',
        'user_id'                    => 'Please enter user id',
        'supplier'                   => 'Please enter supplier',
        'buyer'                      => 'Please enter buyer',
        'user_type'                  => 'Please enter user type',
        'user_mode'                  => 'Please select user mode',
        'upload_folder'              => 'Please enter upload folder',
        'contract'                   => 'Please select contract',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'team_id'                    => 'Please enter team id',
        'verify_email'               => 'Please enter verify email',
        'verify_account'             => 'Please enter verify account',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'reporting_to'               => 'Reporting to',
        'name'                       => 'Name',
        'parent_id'                  => 'Parent id',
        'email'                      => 'Email',
        'password'                   => 'Password',
        'title'                      => 'Title',
        'coupa_advantage'            => 'Coupa advantage',
        'api_token'                  => 'Api token',
        'remember_token'             => 'Remember token',
        'login_string'               => 'Login string',
        'sex'                        => 'Sex',
        'dob'                        => 'Dob',
        'designation'                => 'Designation',
        'mobile'                     => 'Mobile',
        'phone'                      => 'Phone',
        'address'                    => 'Address',
        'street'                     => 'Street',
        'city'                       => 'City',
        'district'                   => 'District',
        'state'                      => 'State',
        'country'                    => 'Country',
        'zip'                        => 'Zip',
        'photo'                      => 'Photo',
        'web'                        => 'Web',
        'permissions'                => 'Permissions',
        'status'                     => 'Status',
        'email_verified_at'          => 'Email verified at',
        'user_id'                    => 'User id',
        'supplier'                   => 'Supplier',
        'buyer'                      => 'Buyer',
        'user_type'                  => 'User type',
        'user_mode'                  => 'User mode',
        'upload_folder'              => 'Upload folder',
        'contract'                   => 'Contract',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'team_id'                    => 'Team id',
        'verify_email'               => 'Verify email',
        'verify_account'             => 'Verify account',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'company_id'                 => ['name' => 'Company id', 'data-column' => 1, 'checked'],
        'reporting_to'               => ['name' => 'Reporting to', 'data-column' => 2, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 3, 'checked'],
        'parent_id'                  => ['name' => 'Parent id', 'data-column' => 4, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 5, 'checked'],
        'password'                   => ['name' => 'Password', 'data-column' => 6, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 7, 'checked'],
        'coupa_advantage'            => ['name' => 'Coupa advantage', 'data-column' => 8, 'checked'],
        'api_token'                  => ['name' => 'Api token', 'data-column' => 9, 'checked'],
        'remember_token'             => ['name' => 'Remember token', 'data-column' => 10, 'checked'],
        'login_string'               => ['name' => 'Login string', 'data-column' => 11, 'checked'],
        'sex'                        => ['name' => 'Sex', 'data-column' => 12, 'checked'],
        'dob'                        => ['name' => 'Dob', 'data-column' => 13, 'checked'],
        'designation'                => ['name' => 'Designation', 'data-column' => 14, 'checked'],
        'mobile'                     => ['name' => 'Mobile', 'data-column' => 15, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 16, 'checked'],
        'address'                    => ['name' => 'Address', 'data-column' => 17, 'checked'],
        'street'                     => ['name' => 'Street', 'data-column' => 18, 'checked'],
        'city'                       => ['name' => 'City', 'data-column' => 19, 'checked'],
        'district'                   => ['name' => 'District', 'data-column' => 20, 'checked'],
        'state'                      => ['name' => 'State', 'data-column' => 21, 'checked'],
        'country'                    => ['name' => 'Country', 'data-column' => 22, 'checked'],
        'zip'                        => ['name' => 'Zip', 'data-column' => 23, 'checked'],
        'photo'                      => ['name' => 'Photo', 'data-column' => 24, 'checked'],
        'web'                        => ['name' => 'Web', 'data-column' => 25, 'checked'],
        'email_verified_at'          => ['name' => 'Email verified at', 'data-column' => 26, 'checked'],
        'supplier'                   => ['name' => 'Supplier', 'data-column' => 27, 'checked'],
        'buyer'                      => ['name' => 'Buyer', 'data-column' => 28, 'checked'],
        'user_mode'                  => ['name' => 'User mode', 'data-column' => 29, 'checked'],
        'contract'                   => ['name' => 'Contract', 'data-column' => 30, 'checked'],
        'team_id'                    => ['name' => 'Team id', 'data-column' => 31, 'checked'],
        'verify_email'               => ['name' => 'Verify email', 'data-column' => 32, 'checked'],
        'verify_account'             => ['name' => 'Verify account', 'data-column' => 33, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Agents',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
