<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('agent::agent.name') !!} <small> {!! trans('app.manage') !!} {!! trans('agent::agent.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('agent::agent.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='agent-agent-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('agent/agent')!!}">{!! trans('agent::agent.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('agent/agent?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('agent/agent?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('agent/agent/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('agent::admin.agent.partial.actions')
                    -->
                    @include('agent::admin.agent.partial.filter')
                    @include('agent::admin.agent.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="agent-agent-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="agent-agent-check-all"></th>
                        <th data-field="company_id">{!! trans('agent::agent.label.company_id')!!}</th>
                    <th data-field="reporting_to">{!! trans('agent::agent.label.reporting_to')!!}</th>
                    <th data-field="name">{!! trans('agent::agent.label.name')!!}</th>
                    <th data-field="parent_id">{!! trans('agent::agent.label.parent_id')!!}</th>
                    <th data-field="email">{!! trans('agent::agent.label.email')!!}</th>
                    <th data-field="password">{!! trans('agent::agent.label.password')!!}</th>
                    <th data-field="title">{!! trans('agent::agent.label.title')!!}</th>
                    <th data-field="coupa_advantage">{!! trans('agent::agent.label.coupa_advantage')!!}</th>
                    <th data-field="api_token">{!! trans('agent::agent.label.api_token')!!}</th>
                    <th data-field="remember_token">{!! trans('agent::agent.label.remember_token')!!}</th>
                    <th data-field="login_string">{!! trans('agent::agent.label.login_string')!!}</th>
                    <th data-field="sex">{!! trans('agent::agent.label.sex')!!}</th>
                    <th data-field="dob">{!! trans('agent::agent.label.dob')!!}</th>
                    <th data-field="designation">{!! trans('agent::agent.label.designation')!!}</th>
                    <th data-field="mobile">{!! trans('agent::agent.label.mobile')!!}</th>
                    <th data-field="phone">{!! trans('agent::agent.label.phone')!!}</th>
                    <th data-field="address">{!! trans('agent::agent.label.address')!!}</th>
                    <th data-field="street">{!! trans('agent::agent.label.street')!!}</th>
                    <th data-field="city">{!! trans('agent::agent.label.city')!!}</th>
                    <th data-field="district">{!! trans('agent::agent.label.district')!!}</th>
                    <th data-field="state">{!! trans('agent::agent.label.state')!!}</th>
                    <th data-field="country">{!! trans('agent::agent.label.country')!!}</th>
                    <th data-field="zip">{!! trans('agent::agent.label.zip')!!}</th>
                    <th data-field="photo">{!! trans('agent::agent.label.photo')!!}</th>
                    <th data-field="web">{!! trans('agent::agent.label.web')!!}</th>
                    <th data-field="email_verified_at">{!! trans('agent::agent.label.email_verified_at')!!}</th>
                    <th data-field="supplier">{!! trans('agent::agent.label.supplier')!!}</th>
                    <th data-field="buyer">{!! trans('agent::agent.label.buyer')!!}</th>
                    <th data-field="user_mode">{!! trans('agent::agent.label.user_mode')!!}</th>
                    <th data-field="contract">{!! trans('agent::agent.label.contract')!!}</th>
                    <th data-field="team_id">{!! trans('agent::agent.label.team_id')!!}</th>
                    <th data-field="verify_email">{!! trans('agent::agent.label.verify_email')!!}</th>
                    <th data-field="verify_account">{!! trans('agent::agent.label.verify_account')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#agent-agent-entry', '{!!guard_url('agent/agent/0')!!}');
    oTable = $('#agent-agent-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('agent/agent') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'company_id'},
            {data :'reporting_to'},
            {data :'name'},
            {data :'parent_id'},
            {data :'email'},
            {data :'password'},
            {data :'title'},
            {data :'coupa_advantage'},
            {data :'api_token'},
            {data :'remember_token'},
            {data :'login_string'},
            {data :'sex'},
            {data :'dob'},
            {data :'designation'},
            {data :'mobile'},
            {data :'phone'},
            {data :'address'},
            {data :'street'},
            {data :'city'},
            {data :'district'},
            {data :'state'},
            {data :'country'},
            {data :'zip'},
            {data :'photo'},
            {data :'web'},
            {data :'email_verified_at'},
            {data :'supplier'},
            {data :'buyer'},
            {data :'user_mode'},
            {data :'contract'},
            {data :'team_id'},
            {data :'verify_email'},
            {data :'verify_account'},
        ],
        "pageLength": 25
    });

    $('#agent-agent-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#agent-agent-list').DataTable().row( this ).data();
        $('#agent-agent-entry').load('{!!guard_url('agent/agent')!!}' + '/' + d.id);
    });

    $('#agent-agent-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#agent-agent-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#agent-agent-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#agent-agent-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>