<?php

namespace B2buy\Agent;

use User;

class Agent
{
    /**
     * $agent object.
     */
    protected $agent;

    /**
     * Constructor.
     */
    public function __construct(\B2buy\Agent\Interfaces\AgentRepositoryInterface $agent)
    {
        $this->agent = $agent;
    }

    /**
     * Returns count of agent.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.agent.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->agent->pushCriteria(new \Litepie\B2buy\Repositories\Criteria\AgentUserCriteria());
        }

        $agent = $this->agent->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('agent::' . $view, compact('agent'))->render();
    }
}
