<?php

namespace B2buy\Agent\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use B2buy\Agent\Interfaces\AgentRepositoryInterface;

class AgentPublicController extends BaseController
{
    // use AgentWorkflow;

    /**
     * Constructor.
     *
     * @param type \B2buy\Agent\Interfaces\AgentRepositoryInterface $agent
     *
     * @return type
     */
    public function __construct(AgentRepositoryInterface $agent)
    {
        $this->repository = $agent;
        parent::__construct();
    }

    /**
     * Show agent's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $agents = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('agent::agent.names'))
            ->view('agent::public.agent.index')
            ->data(compact('agents'))
            ->output();
    }


    /**
     * Show agent.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $agent = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($agent->name . trans('agent::agent.name'))
            ->view('agent::public.agent.show')
            ->data(compact('agent'))
            ->output();
    }

}
