<?php

namespace B2buy\Agent\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AgentTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Agent\Models\Agent $agent)
    {
        return [
            'id'                => $agent->getRouteKey(),
            'key'               => [
                'public'    => $agent->getPublicKey(),
                'route'     => $agent->getRouteKey(),
            ], 
            'company_id'        => $agent->company_id,
            'reporting_to'      => $agent->reporting_to,
            'name'              => $agent->name,
            'parent_id'         => $agent->parent_id,
            'email'             => $agent->email,
            'password'          => $agent->password,
            'title'             => $agent->title,
            'coupa_advantage'   => $agent->coupa_advantage,
            'api_token'         => $agent->api_token,
            'remember_token'    => $agent->remember_token,
            'login_string'      => $agent->login_string,
            'sex'               => $agent->sex,
            'dob'               => $agent->dob,
            'designation'       => $agent->designation,
            'mobile'            => $agent->mobile,
            'phone'             => $agent->phone,
            'address'           => $agent->address,
            'street'            => $agent->street,
            'city'              => $agent->city,
            'district'          => $agent->district,
            'state'             => $agent->state,
            'country'           => $agent->country,
            'zip'               => $agent->zip,
            'photo'             => $agent->photo,
            'web'               => $agent->web,
            'permissions'       => $agent->permissions,
            'email_verified_at' => $agent->email_verified_at,
            'user_id'           => $agent->user_id,
            'supplier'          => $agent->supplier,
            'buyer'             => $agent->buyer,
            'user_type'         => $agent->user_type,
            'user_mode'         => $agent->user_mode,
            'upload_folder'     => $agent->upload_folder,
            'contract'          => $agent->contract,
            'deleted_at'        => $agent->deleted_at,
            'team_id'           => $agent->team_id,
            'verify_email'      => $agent->verify_email,
            'verify_account'    => $agent->verify_account,
            'url'               => [
                'public'    => trans_url('agent/'.$agent->getPublicKey()),
                'user'      => guard_url('agent/agent/'.$agent->getRouteKey()),
            ], 
            'status'            => trans('app.'.$agent->status),
            'created_at'        => format_date($agent->created_at),
            'updated_at'        => format_date($agent->updated_at),
        ];
    }
}